<script lang="ts">
    import Chip, { LeadingIcon, Text } from "@smui/chips";

    export let chip: any;
    export let active: boolean;
    export let value: string;
    export let actionCallback: () => void;
</script>

<Chip
    class={value !== "" ? "bg-slate-300" : ""}
    {chip}
    on:click={() => {
        if (!active) return;
        actionCallback();
    }}
>
    {#if value !== ""}
        <LeadingIcon class="material-icons">done</LeadingIcon>
    {:else if chip.icon !== undefined}
        <LeadingIcon class="material-icons">{chip.icon}</LeadingIcon>
    {/if}
    <Text tabindex={0}>
        {#if value !== ""}
            {chip.name}: {value}
        {:else}
            {chip.name}
        {/if}
    </Text>
</Chip>
